Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5833 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5833 indexed agents, 4881 currently healthy.

Agents indexed
5833 agents
5036 domains
public agent cards · +479 this week
Healthy
4881 agents
4318 domains
card reachable < 6 h
Conformant
4066 agents
3599 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A 10.00
2 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
3 Haulroll by CyberMax
Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.
A 10.00
4 Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
A 10.00
5 RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
A 10.00
6 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
7 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
8 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
9 A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
A 10.00
10 Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“AAAA-Nexus” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Screenshot Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Atako” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“duiattorneysonline.net — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

“freeinvoicer.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kartenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“homeloanremortgage.org — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

“iotsoftwaredeveloper.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

“KHOTEM” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

  • Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.

“leadsuperstore.net — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

“Losbeto” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“LR Labs — Compiled Cross-Border Tax Law Engine” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Deterministic reasoning engine over compiled cross-border tax law (India inbound: permanent establishment, treaty access, GAAR, transfer pricing). Same facts + same law = same answer. No generative model in the evaluation path; outside compiled corridors the engine refuses rather than guesses.

  • Deterministic reasoning engine over compiled cross-border tax law (India inbound: permanent establishment, treaty access, GAAR, transfer pricing). Same facts + same law = same answer. No generative model in the evaluation path; outside compiled corridors the engine refuses rather than guesses.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“webdesigner.la — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

“winwinhost.com — WinWinHost & MultiDomainCMS Autonomous A2A Commerce Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.
  • Measures how well AI agents can discover, read and operate a website, documentation set, API or MCP server, using the Agent Readiness Score (ARS 3.2: 129 registered checks across Discovery, Access, Usability and Payments; points only for observed evidence). Reachable over MCP and a small REST API; no authentication.

    B9.5 🔓 open 5 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 28 skills
  • HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 20 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • Atako
    Atako
    ● healthy

    Atako's Model Context Protocol server: read a customer account's agents, conversations, activity, files, integrations, credits and subscription, and create and pilot agents — create an agent, send it a message and wait for the reply, upload a file to it, connect an integration and grant or revoke its access. OAuth connections and payments still require a browser.

    B9.5 🔑 human key 10 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C8.2 🔓 open JSONRPC 130 skills
  • Pay-per-call page rendering: URL in, image out — or URL in, whole page out.

    C+8.9 🔓 open 2 skills
  • Public tree-care intake agent for Carpe Tree'em. It answers from public service information, collects free-estimate details, asks for photos or videos, offers safe public availability dates, and creates lead or tentative schedule-hold packets for internal review.

    B+9.7 🔑 human key JSONRPC 7 skills
  • Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.

    B9.5 🔓 open JSONRPC 26 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 271 skills
  • KHOTEM
    KHOTEM
    ● healthy

    Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

    B9.2 🔓 open 26 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.5 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

    B9.3 🔓 open JSONRPC 6 skills
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

    B9.4 🔓 open JSONRPC 6 skills
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

    B9.5 🔓 open JSONRPC 6 skills
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

    B9.2 🔓 open JSONRPC 6 skills
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

    B9.3 🔓 open JSONRPC 6 skills
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

    B9.3 🔓 open JSONRPC 6 skills
  • Standardized Agent-to-Agent (A2A) discovery manifest for long-horizon webmaster alliances, private strategic chat rooms, 50/50 co-engineered software ventures, autonomous MCP & REST invoicing (FreeInvoicer.com), binary reverse engineering & Ghidra MCP forensics (DigitalSpying.com), autonomous affiliate campaign orchestration, multi-storefront OpenAI ChatGPT Shopping & Meta Commerce product feeds, W3C ActivityPub & RFC 7033 WebFinger federation, Coinbase x402 v2 machine-to-machine settlement, verified guest post syndication, curated directory backlink exchange, and 50% recurring affiliate revenue sharing across the 136-domain multiDomainCMS network.

    B9.4 🔓 open JSONRPC 6 skills
  • Losbeto
    Losbeto
    ● healthy

    x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.

    B9.4 🔓 open 120 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    B+9.8 🔑 human key 193 skills
  • Agent Control Plane - 146+ endpoints for AI agent security, trust, reputation, escrow, SLA enforcement, formal verification, compliance, discovery, and x402 USDC micropayments on Base L2. Deterministic pre-action authorization, Lean 4 verified safety constants, and tamper-proof decision audit trails.

    B9.6 🔓 open 26 skills
  • Deterministic reasoning engine over compiled cross-border tax law (India inbound: permanent establishment, treaty access, GAAR, transfer pricing). Same facts + same law = same answer. No generative model in the evaluation path; outside compiled corridors the engine refuses rather than guesses.

    E4.7 🔓 open 5 skills
  • Conway Replicatio is an autonomous A2A economic agent that discovers machine-service demand, publishes canary-verified capabilities, fulfills paid x402 services on Base, learns from realized external settlements, and reinvests retained profit under bounded safety, provenance, and accounting controls.

    E2.0 🔑 human key 17 skills